# Data Handling Guidebook
> The one stop shop to learn about data intake, processing, and visualization.


This homepage will show you just some of the things you can do with data.

## Install

Either:

`pip install your_project_name`

```
from google.colab import drive
drive.mount('/content/drive/My Drive/colabs/test_template')
```

OR:

```
from test_template.acsDownload import retrieve_acs_data
```

## How to use

Fill me in please! Don't forget code examples:

```
# Our download function will use Baltimore City's tract, county and state as internal paramters
# Change these values in the cell below using different geographic reference codes will change those parameters
tract = '*'
county = '510'
state = '24'

# Specify the download parameters the function will receieve here
tableId = 'B19001'
year = '17'
saveAcs = True
```

```
df = retrieve_acs_data(state, county, tract, tableId, year, saveAcs)
df.head()
```

    Number of Columns 17





<div>
<style scoped>
    .dataframe tbody tr th:only-of-type {
        vertical-align: middle;
    }

    .dataframe tbody tr th {
        vertical-align: top;
    }

    .dataframe thead th {
        text-align: right;
    }
</style>
<table border="1" class="dataframe">
  <thead>
    <tr style="text-align: right;">
      <th></th>
      <th>B19001_001E_Total</th>
      <th>B19001_002E_Total_Less_than_$10_000</th>
      <th>B19001_003E_Total_$10_000_to_$14_999</th>
      <th>B19001_004E_Total_$15_000_to_$19_999</th>
      <th>B19001_005E_Total_$20_000_to_$24_999</th>
      <th>B19001_006E_Total_$25_000_to_$29_999</th>
      <th>B19001_007E_Total_$30_000_to_$34_999</th>
      <th>B19001_008E_Total_$35_000_to_$39_999</th>
      <th>B19001_009E_Total_$40_000_to_$44_999</th>
      <th>B19001_010E_Total_$45_000_to_$49_999</th>
      <th>B19001_011E_Total_$50_000_to_$59_999</th>
      <th>B19001_012E_Total_$60_000_to_$74_999</th>
      <th>B19001_013E_Total_$75_000_to_$99_999</th>
      <th>B19001_014E_Total_$100_000_to_$124_999</th>
      <th>B19001_015E_Total_$125_000_to_$149_999</th>
      <th>B19001_016E_Total_$150_000_to_$199_999</th>
      <th>B19001_017E_Total_$200_000_or_more</th>
      <th>state</th>
      <th>county</th>
      <th>tract</th>
    </tr>
    <tr>
      <th>NAME</th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
      <th></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th>Census Tract 1901</th>
      <td>796</td>
      <td>237</td>
      <td>76</td>
      <td>85</td>
      <td>38</td>
      <td>79</td>
      <td>43</td>
      <td>36</td>
      <td>35</td>
      <td>15</td>
      <td>43</td>
      <td>45</td>
      <td>39</td>
      <td>5</td>
      <td>0</td>
      <td>6</td>
      <td>14</td>
      <td>24</td>
      <td>510</td>
      <td>190100</td>
    </tr>
    <tr>
      <th>Census Tract 1902</th>
      <td>695</td>
      <td>63</td>
      <td>87</td>
      <td>93</td>
      <td>6</td>
      <td>58</td>
      <td>30</td>
      <td>14</td>
      <td>29</td>
      <td>23</td>
      <td>38</td>
      <td>113</td>
      <td>70</td>
      <td>6</td>
      <td>32</td>
      <td>11</td>
      <td>22</td>
      <td>24</td>
      <td>510</td>
      <td>190200</td>
    </tr>
    <tr>
      <th>Census Tract 2201</th>
      <td>2208</td>
      <td>137</td>
      <td>229</td>
      <td>124</td>
      <td>52</td>
      <td>78</td>
      <td>87</td>
      <td>50</td>
      <td>80</td>
      <td>13</td>
      <td>217</td>
      <td>66</td>
      <td>159</td>
      <td>205</td>
      <td>167</td>
      <td>146</td>
      <td>398</td>
      <td>24</td>
      <td>510</td>
      <td>220100</td>
    </tr>
    <tr>
      <th>Census Tract 2303</th>
      <td>632</td>
      <td>3</td>
      <td>20</td>
      <td>0</td>
      <td>39</td>
      <td>7</td>
      <td>0</td>
      <td>29</td>
      <td>8</td>
      <td>9</td>
      <td>44</td>
      <td>29</td>
      <td>98</td>
      <td>111</td>
      <td>63</td>
      <td>94</td>
      <td>78</td>
      <td>24</td>
      <td>510</td>
      <td>230300</td>
    </tr>
    <tr>
      <th>Census Tract 2502.07</th>
      <td>836</td>
      <td>102</td>
      <td>28</td>
      <td>101</td>
      <td>64</td>
      <td>104</td>
      <td>76</td>
      <td>41</td>
      <td>40</td>
      <td>47</td>
      <td>72</td>
      <td>28</td>
      <td>60</td>
      <td>19</td>
      <td>27</td>
      <td>15</td>
      <td>12</td>
      <td>24</td>
      <td>510</td>
      <td>250207</td>
    </tr>
  </tbody>
</table>
</div>


